Update project
Updates an existing project. All fields are optional.
Business API key, e.g. vuz_ab12cdef... Created via Settings → Integrations → API Keys. Unlike partner keys, a public API key's STRING does not encode its environment — isolation instead comes from a completely separate sandbox database: a key minted on the Sandbox server (above) only ever reads/writes sandbox data and can never see or affect production, regardless of what the key looks like.
In: header
Path Parameters
Project UUID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://example.com/projects/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "name": "string", "description": "string", "status": "draft", "priority": "low", "startDate": "string", "endDate": "string", "budget": "string", "estimatedValue": "string", "actualValue": "string", "currency": "string", "category": "string", "tags": [ "string" ], "notes": "string", "metadata": {}, "businessId": "string", "client": { "id": "string", "name": "string", "email": "string", "phone": "string" }, "documentsCount": 0, "attachmentsCount": 0, "workOrdersCount": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "creatorName": "string"}
